Skip to main content
POST
/
api
/
watch
Creates a new watch (pin or subscription) on an entity for a watcher.
curl --request POST \
  --url https://{install}/api/watch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "owner": 123,
  "ownerId": "<string>",
  "watcher": 123,
  "watcherId": "<string>",
  "type": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'
{
  "entity": "<string>",
  "owner": 123,
  "ownerId": "<string>",
  "watcher": 123,
  "watcherId": "<string>",
  "type": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The watch to create, specifying owner, watcher, and watch type.

entity
null | string
owner
integer
ownerId
string
watcher
integer
watcherId
string
type
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

The newly created watch.

entity
null | string
owner
integer
ownerId
string
watcher
integer
watcherId
string
type
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean